/*******************************/
/***  ViewVC CSS Stylesheet ***/
/*******************************/

/*** Standard Tags ***/
html, body {
  color: #000000;
  background-color: #ffffff;
  font-family: arial,helvetica,sans-serif;
  font-size: 12px;
}

a         { text-decoration:none;}
a:hover   { text-decoration:underline;}
a:link    { color: #0000ff; }
a:visited { color: #880088; }
a:active  { color: #0000ff; }
.img a:hover   { text-decoration:none;}

img { border: none; }

table {
  width: 100%;
  margin: 0; 
  border: none;
}
table.props {
  width: 50%;
}
table.auto {
  width: auto;
}
tr, td, th { vertical-align: top; }
form { margin: 0; }

hr{
  color: #eeeeee;
  background-color: #eeeeee;
  height: 1px;
  border: none;
}

h1{
  font-size: 24px;
  color: #000066
}
h2{
  font-size: 18px;
  color: #000066
}

/** Navigation Headers ***/
.vc_navheader {
  background-color: #e0e0ff;
  font-size: 13px;
  vertical-align:middle;
}
.vc_navheader td{
  vertical-align:middle;
}

/*** Table Headers ***/
.vc_header {
  text-align: left;
  vertical-align: top;
  background-color: #e0e0ff;
}
.vc_header_sort {
  text-align: left;
  background-color: #e0e0ff;
}


/*** Table Rows ***/
.vc_row_even {
  background-color: #ffffff;
}
.vc_row_odd {
  background-color: #eeeeee;
}


/*** Log messages ***/
.vc_log {
  white-space: pre-wrap;
  background-color: #eeeeee;
}

/*** Properties Listing ***/
.vc_properties {
  margin: 1em 0;
}

/*** File Content Markup Styles ***/
.vc_summary {
  background-color: #eeeeee;
}
#vc_file td {
  border-right-style: solid;
  border-right-color: #505050;
  text-decoration: none;
  font-weight: normal;
  font-style: normal;
  padding: 1px 5px;
}
.vc_file_line_number {
  border-right-width: 1px;
  background-color: #eeeeee;
  color: #505050;
  text-align: right;
}
.vc_file_line_author, .vc_file_line_rev {
  border-right-width: 1px;
  text-align: right;
}
.vc_file_line_text {
  border-right-width: 0px;
  background-color: white;
  font-family: monospace;
  text-align: left;
  white-space: pre;
  width: 100%;
}
.pygments-c { color: #408080; font-style: italic } /* Comment */
.pygments-err { border: 1px solid #FF0000 } /* Error */
.pygments-k { color: #008000; font-weight: bold } /* Keyword */
.pygments-o { color: #666666 } /* Operator */
.pygments-cm { color: #408080; font-style: italic } /* Comment.Multiline */
.pygments-cp { color: #BC7A00 } /* Comment.Preproc */
.pygments-c1 { color: #408080; font-style: italic } /* Comment.Single */
.pygments-cs { color: #408080; font-style: italic } /* Comment.Special */
.pygments-gd { color: #A00000 } /* Generic.Deleted */
.pygments-ge { font-style: italic } /* Generic.Emph */
.pygments-gr { color: #FF0000 } /* Generic.Error */
.pygments-gh { color: #000080; font-weight: bold } /* Generic.Heading */
.pygments-gi { color: #00A000 } /* Generic.Inserted */
.pygments-go { color: #808080 } /* Generic.Output */
.pygments-gp { color: #000080; font-weight: bold } /* Generic.Prompt */
.pygments-gs { font-weight: bold } /* Generic.Strong */
.pygments-gu { color: #800080; font-weight: bold } /* Generic.Subheading */
.pygments-gt { color: #0040D0 } /* Generic.Traceback */
.pygments-kc { color: #008000; font-weight: bold } /* Keyword.Constant */
.pygments-kd { color: #008000; font-weight: bold } /* Keyword.Declaration */
.pygments-kp { color: #008000 } /* Keyword.Pseudo */
.pygments-kr { color: #008000; font-weight: bold } /* Keyword.Reserved */
.pygments-kt { color: #B00040 } /* Keyword.Type */
.pygments-m { color: #666666 } /* Literal.Number */
.pygments-s { color: #BA2121 } /* Literal.String */
.pygments-na { color: #7D9029 } /* Name.Attribute */
.pygments-nb { color: #008000 } /* Name.Builtin */
.pygments-nc { color: #0000FF; font-weight: bold } /* Name.Class */
.pygments-no { color: #880000 } /* Name.Constant */
.pygments-nd { color: #AA22FF } /* Name.Decorator */
.pygments-ni { color: #999999; font-weight: bold } /* Name.Entity */
.pygments-ne { color: #D2413A; font-weight: bold } /* Name.Exception */
.pygments-nf { color: #0000FF } /* Name.Function */
.pygments-nl { color: #A0A000 } /* Name.Label */
.pygments-nn { color: #0000FF; font-weight: bold } /* Name.Namespace */
.pygments-nt { color: #008000; font-weight: bold } /* Name.Tag */
.pygments-nv { color: #19177C } /* Name.Variable */
.pygments-ow { color: #AA22FF; font-weight: bold } /* Operator.Word */
.pygments-w { color: #bbbbbb } /* Text.Whitespace */
.pygments-mf { color: #666666 } /* Literal.Number.Float */
.pygments-mh { color: #666666 } /* Literal.Number.Hex */
.pygments-mi { color: #666666 } /* Literal.Number.Integer */
.pygments-mo { color: #666666 } /* Literal.Number.Oct */
.pygments-sb { color: #BA2121 } /* Literal.String.Backtick */
.pygments-sc { color: #BA2121 } /* Literal.String.Char */
.pygments-sd { color: #BA2121; font-style: italic } /* Literal.String.Doc */
.pygments-s2 { color: #BA2121 } /* Literal.String.Double */
.pygments-se { color: #BB6622; font-weight: bold } /* Literal.String.Escape */
.pygments-sh { color: #BA2121 } /* Literal.String.Heredoc */
.pygments-si { color: #BB6688; font-weight: bold } /* Literal.String.Interpol */
.pygments-sx { color: #008000 } /* Literal.String.Other */
.pygments-sr { color: #BB6688 } /* Literal.String.Regex */
.pygments-s1 { color: #BA2121 } /* Literal.String.Single */
.pygments-ss { color: #19177C } /* Literal.String.Symbol */
.pygments-bp { color: #008000 } /* Name.Builtin.Pseudo */
.pygments-vc { color: #19177C } /* Name.Variable.Class */
.pygments-vg { color: #19177C } /* Name.Variable.Global */
.pygments-vi { color: #19177C } /* Name.Variable.Instance */
.pygments-il { color: #666666 } /* Literal.Number.Integer.Long */


/*** Diff Styles ***/
.vc_diff_header {
  background-color: #ffffff;
}
.vc_diff_chunk_header {
  background-color: #eeeeee;
}
.vc_diff_chunk_extra {
  font-size: smaller;
}
.vc_diff_empty {
  background-color: #c8c8c8;
  font-family: sans-serif;
  font-size: smaller;
}
.vc_diff_add {
  background-color: #ffff00;
  font-family: sans-serif;
  font-size: smaller;
}
.vc_diff_remove {
  background-color: #ffc864;
  font-family: sans-serif;
  font-size: smaller;
}
.vc_diff_change {
  background-color: #ffff96;
  font-family: sans-serif;
  font-size: smaller;
}
.vc_diff_change_empty {
  background-color: #eeee77;
  font-family: sans-serif;
  font-size: smaller;
}
.vc_diff_nochange {
  font-family: sans-serif;
  font-size: smaller;
}
.vc_raw_diff {
  background-color: #eeeeee;
  font-size: 12px;
}

/*** Intraline Diff Styles ***/

.vc_idiff_add {
  background-color: #aaffaa;
}
.vc_idiff_change {
  background-color:#ffff77;
}
.vc_idiff_remove {
  background-color:#ffaaaa;
}
.vc_idiff_empty {
  background-color:#e0e0e0;
}

table.vc_idiff col.content { 
  width: 50%;
}
table.vc_idiff tbody {
  font-family: monospace; 
  /* unfortunately, white-space: pre-wrap isn't widely supported ... */
  white-space: pre-wrap;      /* CSS3 */
}
table.vc_idiff tbody th {
  background-color:#e0e0e0;
  text-align:right;
}

/*** Query Form ***/
.vc_query_form {
  background-color: #e0e0ff;
}


/*** Warning! ***/
.vc_warning {
  border-width: 1px 2px 2px 2px;
  border-color: black;
  border-style: solid;
  background-color: red;
  color: white;
  padding: 0.5em;
}